Test failure with Python 3.3 #66

Closed
Arfrever opened this Issue Oct 2, 2012 · 1 comment

Comments

Projects
None yet
2 participants
@Arfrever

Arfrever commented Oct 2, 2012

Colander 0.9.9 introduced test_serialize_quantize_no_rounding(), which fails with Python 3.3. It passes with older versions of Python.

$ python3.3 setup.py test
...
======================================================================
ERROR: test_serialize_quantize_no_rounding (colander.tests.test_colander.TestDecimal)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/tmp/colander-0.9.9/colander/__init__.py", line 1035, in serialize
    return str(self.num(appstruct))
  File "/tmp/colander-0.9.9/colander/__init__.py", line 1109, in num
    result = result.quantize(self.quant, self.rounding)
TypeError: an integer is required

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/tmp/colander-0.9.9/colander/tests/test_colander.py", line 1371, in test_serialize_quantize_no_rounding
    result = typ.serialize(node, val)
  File "/tmp/colander-0.9.9/colander/__init__.py", line 1039, in serialize
    mapping={'val':appstruct}),
colander.Invalid: {'': '".000001" is not a number'}

----------------------------------------------------------------------
Ran 335 tests in 0.195s

FAILED (errors=1)

@mcdonc mcdonc closed this in f180c6a Oct 2, 2012

@mcdonc

This comment has been minimized.

Show comment
Hide comment
@mcdonc

mcdonc Oct 2, 2012

Member

Thanks!

Member

mcdonc commented Oct 2, 2012

Thanks!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment